# $Revision: 1.41 $, $Date: 2007/02/12 21:23:53 $
Summary:	Modular DocBook Stylesheets
Summary(es.UTF-8):	Plantillas de estilo modulares de Norman Walsh para DocBook
Summary(pl.UTF-8):	Arkusze stylistyczne DSSSL dla DocBook DTD
Summary(pt_BR.UTF-8):	"stylesheets" modulares para o docbook, de Norman Walsh
Summary(ru.UTF-8):	Модульные стилевые шаблоны для DocBook от Norman Walsh
Summary(uk.UTF-8):	Модульні стильові шаблони для DocBook від Norman Walsh
Name:		docbook-style-dsssl
Version:	1.79
Release:	1
License:	(C) 1997, 1998 Norman Walsh (Free)
Vendor:		Norman Walsh http://nwalsh.com/
Group:		Applications/Publishing/SGML
Source0:	http://dl.sourceforge.net/docbook/docbook-dsssl-%{version}.tar.gz
# Source0-md5:	8459913bbd8a5724a6fe4b9ed5bab5af
Source1:	docbook-dsssl-online.dsl
Source2:	http://dl.sourceforge.net/docbook/docbook-dsssl-doc-%{version}.tar.gz
# Source2-md5:	566334a47430ecf0154ca5434f6c4fe3
URL:		http://docbook.sourceforge.net/projects/dsssl/
BuildRequires:	perl-base
AutoReqProv:	no
Requires(post,postun):	sgml-common >= 0.5
Requires:	openjade
Obsoletes:	docbook-dsssl
Obsoletes:	stylesheets
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DSSSL is a stylesheet language for both print and online rendering.
There is DSSSL stylesheets for DocBook DTD.

%description -l es.UTF-8
Plantillas de estilo DSSSL permiten convertir cualquier documento
Docbook en otro formato impreso (por ejemplo, RTF o PostScript) o en
línea (por ejemplo, HTML). Éstos son altamente personalizables.

%description -l pl.UTF-8
docbook-dsssl jest zbiorem arkuszy stylistycznych pozwalających
przekształcić dokument napisany w DocBook DTD 3.0. na prezentację
on-line (wykorzystując HTML) lub na drukowany dokument (wykorzystując
jadetex lub RTF).

%description -l pt_BR.UTF-8
Estes stylesheets DSSSL permitem converter qualquer documento DocBook
para outro formato imprimível (por exemplo, RTF ou PostScript) ou
on-line (por exemplo, HTML). Eles são altamente personalizáveis.

%description -l ru.UTF-8
Эти стилевые шаблоны DSSSL позволяют конвертировать любой DocBook
документ в другой онлайновый формат (например, HTML) или формат для
печати (например, RTF или PostScript).

%description -l uk.UTF-8
Ці стильові шаблони DSSSL дозволяють конвертувати будь-який DocBook
документ в інший онлайновий формат (наприклад, HTML) чи формат для
друку (наприклад, RTF чи PostScript).

%prep
%setup -q -n docbook-dsssl-%{version} -a 2

rm -rf doc docsrc
mv -f  docbook-dsssl-%{version}/doc .
rm -rf docbook-dsssl-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

cp -a * $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets
# docs are in standard place
rm -rf $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/doc

install %{SOURCE1} \
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/contrib

perl -pe 's/^#.+?- Perl -.+?$/#\!\/usr\/bin\/perl/g' \
	bin/collateindex.pl > $RPM_BUILD_ROOT%{_bindir}/collateindex
install bin/collateindex.pl.1 $RPM_BUILD_ROOT%{_mandir}/man1

cp -f bin/ChangeLog bin-ChangeLog

# shutup check-files
rm -f $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/BUGS \
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/ChangeLog \
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/README \
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/RELEASE-NOTES* \
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/WhatsNew \
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/bin/ChangeLog \
	$RPM_BUILD_ROOT%{_datadir}/sgml/docbook/dsssl-stylesheets/bin/collateindex.pl*

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.77-1
if ! grep -q /etc/sgml/dsssl-stylesheets.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/dsssl-stylesheets.cat %{_datadir}/sgml/docbook/dsssl-stylesheets/catalog > /dev/null
fi

%pre
if [ -L %{_datadir}/sgml/docbook/dsssl-stylesheets ] ; then
	rm -rf %{_datadir}/sgml/docbook/dsssl-stylesheets
fi

%post
if ! grep -q /etc/sgml/dsssl-stylesheets.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/dsssl-stylesheets.cat %{_datadir}/sgml/docbook/dsssl-stylesheets/catalog > /dev/null
fi

%postun
if [ "$1" = 0 ]; then
	/usr/bin/install-catalog --remove /etc/sgml/dsssl-stylesheets.cat %{_datadir}/sgml/docbook/dsssl-stylesheets/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc doc BUGS ChangeLog README RELEASE-NOTES.txt WhatsNew bin-ChangeLog
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/sgml/docbook/dsssl-stylesheets
%{_datadir}/sgml/docbook/dsssl-stylesheets/VERSION
%{_datadir}/sgml/docbook/dsssl-stylesheets/catalog
%{_datadir}/sgml/docbook/dsssl-stylesheets/common
%{_datadir}/sgml/docbook/dsssl-stylesheets/contrib
%{_datadir}/sgml/docbook/dsssl-stylesheets/dtds
%{_datadir}/sgml/docbook/dsssl-stylesheets/frames
%{_datadir}/sgml/docbook/dsssl-stylesheets/html
%{_datadir}/sgml/docbook/dsssl-stylesheets/images
%{_datadir}/sgml/docbook/dsssl-stylesheets/lib
%{_datadir}/sgml/docbook/dsssl-stylesheets/olink
%{_datadir}/sgml/docbook/dsssl-stylesheets/print
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-style-dsssl.spec,v $
Revision 1.41  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.39  2004/11/06 14:06:11  qboosh
- cleanup fix

Revision 1.38  2004/11/06 14:05:27  qboosh
- updated to 1.79, removed outdated articleinfo patch

Revision 1.37  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.36  2004/07/15 05:52:39  qboosh
- BR s/perl/perl-base/

Revision 1.35  2004/04/26 14:49:24  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.34  2003/11/11 01:56:07  ankry
- unification

Revision 1.33  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/13 16:44:07  wiget
- updated to 1.78
- removed applied seealso.patch

Revision 1.29  2003/02/28 10:07:44  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/02/25 12:13:29  qboosh
- working Source URL

Revision 1.27  2002/09/04 12:59:01  wiget
- drop sgml-iso-ent-fix, release 2

Revision 1.26  2002/09/03 16:45:04  wiget
- updated to 1.77
- drop %%{version} from files location (simplify most task by using fixed location)
- use sgml-iso-ent-fix to fix SGML ISO entity PublicId
- add hack for check-files
- more files to %%doc
- fix %%post/%%postun scripts
- remove commented line from %%files

Revision 1.25  2002/05/27 09:10:04  wiget
- remove docbook-tools connections (use docbook-utils instead)
- fix {de,}registration in SGML SuperCatalog
- fix perl path in collateindex
- new %doc
- release 8

Revision 1.24  2002/05/25 23:01:55  kloczek
- release 7: do not run unconditionaly install-catalog --remove in %postun.

Revision 1.23  2002/05/24 16:48:10  kloczek
- release 5: gnom-common added to Requires(podt,postun).

Revision 1.22  2002/05/11 12:22:03  kloczek
- release 4,
- merge translations from KSI,
- merge patches from rawhide:
-- seealso: fix collateindex.pl's seealso handling,
-- articleinfo: fix HTML generation for articleinfo elements.

Revision 1.21  2002/04/26 09:46:45  wiget
update doc to 1.75; release 3

Revision 1.20  2002/04/25 16:12:54  arturs
fixed a small typo

Revision 1.19  2002/04/16 13:40:12  trojan
- R: s/jade/openjade

Revision 1.18  2002/03/03 16:05:04  qboosh
- fixed doc (doc version is different than main source)

Revision 1.17  2002/03/03 12:13:00  qboosh
- added %%{_datadir}/sgml/docbook/dsssl-stylesheets-%%{version} dir to package
- release 2

Revision 1.16  2002/03/02 07:56:14  kloczek
- updated to 1.76.

Revision 1.15  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/26 09:22:04  kloczek
- updated to 1.74b.

Revision 1.13  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/12 15:13:49  kloczek
- bump release to 4 and merge translations from CNV.

Revision 1.11  2001/11/12 14:34:02  qboosh
- updated URL

Revision 1.10  2001/11/12 14:23:42  wiget
updated to 1.73

Revision 1.9  2001/03/27 18:00:32  wiget
1.65

Revision 1.8  2001/02/28 09:58:50  agaran
could someone send it to builders (without rev++)? (added Requires: jade)

Revision 1.7  2001/02/21 03:22:45  kloczek
- release 3: added docbook-dsssl to Obsoletes.

Revision 1.6  2001/02/16 16:04:40  klakier
- preun changes (suppressing removing symlinks when upgrading)

Revision 1.5  2001/02/16 00:18:11  kloczek
- added docbook-dsssl to Obsoletes.

Revision 1.4  2001/02/16 00:16:52  kloczek
- cosmetics and cut %changelog.

Revision 1.3  2001/02/15 16:33:25  klakier
- rel 2

Revision 1.2  2001/02/13 15:53:32  klakier
- fix

Revision 1.1  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages
